searchNodes=[{"ref":"ChessLogic.html","title":"ChessLogic","type":"module","doc":"Documentation for ChessLogic API. It mostly delegates to Game To play a game... iex&gt; g = ChessLogic.new_game iex&gt; {:ok, g} = ChessLogic.play(g, &quot;e4&quot;) iex&gt; {:ok, g} = ChessLogic.play(g, &quot;e5&quot;) To print a game iex&gt; ChessLogic.print_game g ♜ ♞ ♝ ♛ ♚ ♝ ♞ ♜ ♟ ♟ ♟ ♟ ♟ ♟ ♟ ♟ ♙ ♙ ♙ ♙ ♙ ♙ ♙ ♙ ♖ ♘ ♗ ♕ ♔ ♗ ♘ ♖ Import/Export PGN To test Import from PGN, You can use test/fixtures files, for example, games from Grenke 2018. (It takes some time to load games, as it not optimized) iex&gt; games = ChessLogic.from_pgn_file &quot;./test/fixtures/GRENKEChessClassic2018.pgn&quot; To export... iex&gt; games |&gt; Enum.map(fn game -&gt; ChessLogic.to_pgn(game) end) FILES NEEDS TO BE UTF8! If it is not, You can add iconv for conversion."},{"ref":"ChessLogic.html#draw/1","title":"ChessLogic.draw/1","type":"function","doc":"See ChessLogic.Game.draw/1."},{"ref":"ChessLogic.html#from_pgn/1","title":"ChessLogic.from_pgn/1","type":"function","doc":"See ChessLogic.Game.from_pgn/1."},{"ref":"ChessLogic.html#from_pgn_file/1","title":"ChessLogic.from_pgn_file/1","type":"function","doc":"See ChessLogic.Game.from_pgn_file/1."},{"ref":"ChessLogic.html#new_game/0","title":"ChessLogic.new_game/0","type":"function","doc":"See ChessLogic.Game.new/0."},{"ref":"ChessLogic.html#new_game/1","title":"ChessLogic.new_game/1","type":"function","doc":"See ChessLogic.Game.new/1."},{"ref":"ChessLogic.html#play/2","title":"ChessLogic.play/2","type":"function","doc":"See ChessLogic.Game.play/2."},{"ref":"ChessLogic.html#print_game/1","title":"ChessLogic.print_game/1","type":"function","doc":"See ChessLogic.Game.print/1."},{"ref":"ChessLogic.html#resign/1","title":"ChessLogic.resign/1","type":"function","doc":"See ChessLogic.Game.resign/1."},{"ref":"ChessLogic.html#set_result/2","title":"ChessLogic.set_result/2","type":"function","doc":"See ChessLogic.Game.set_result/2."},{"ref":"ChessLogic.html#to_pgn/1","title":"ChessLogic.to_pgn/1","type":"function","doc":"See ChessLogic.Game.to_pgn/1."},{"ref":"ChessLogic.Game.html","title":"ChessLogic.Game","type":"module","doc":"Documentation for Game. The main entity, April 2018, klg September 2019, v0.3.0"},{"ref":"ChessLogic.Game.html#draw/1","title":"ChessLogic.Game.draw/1","type":"function","doc":"Set the result to draw."},{"ref":"ChessLogic.Game.html#from_pgn/1","title":"ChessLogic.Game.from_pgn/1","type":"function","doc":"Import game from pgn string. Returns a list of games, as pgn could contain multiple trees The string MUST BE utf8! Otherwise, add :iconv and use new_string = :iconv.convert &quot;utf-8&quot;, &quot;ascii//translit&quot;, string Example : Chess.from_pgn &quot;[White \\&quot;Calistri, Tristan\\&quot;]\\n[Black \\&quot;Bauduin, Etienne\\&quot;]\\n 1. e4 c5&quot;"},{"ref":"ChessLogic.Game.html#from_pgn_file/1","title":"ChessLogic.Game.from_pgn_file/1","type":"function","doc":"Import game from pgn file."},{"ref":"ChessLogic.Game.html#new/0","title":"ChessLogic.Game.new/0","type":"function","doc":"Returns a new game from initial position fen. It is possible to pass a fen as Game initializer."},{"ref":"ChessLogic.Game.html#new/1","title":"ChessLogic.Game.new/1","type":"function","doc":""},{"ref":"ChessLogic.Game.html#play/2","title":"ChessLogic.Game.play/2","type":"function","doc":"Plays a move."},{"ref":"ChessLogic.Game.html#print/1","title":"ChessLogic.Game.print/1","type":"function","doc":"Prints a game current position."},{"ref":"ChessLogic.Game.html#resign/1","title":"ChessLogic.Game.resign/1","type":"function","doc":"Resign a game."},{"ref":"ChessLogic.Game.html#set_result/2","title":"ChessLogic.Game.set_result/2","type":"function","doc":"Set result of the game."},{"ref":"ChessLogic.Game.html#to_pgn/1","title":"ChessLogic.Game.to_pgn/1","type":"function","doc":"Export the history move list to pgn string."},{"ref":"ChessLogic.Move.html","title":"ChessLogic.Move","type":"module","doc":"Documentation for ChessLogic.Move."},{"ref":"ChessLogic.Move.html#move_to_san/2","title":"ChessLogic.Move.move_to_san/2","type":"function","doc":"Transforms a move to a short algebraic notation. eg. &quot;g1f3&quot; -&gt; &quot;Nf3&quot;. See : https://chess.stackexchange.com/questions/9470/converting-square-notation-to-algebraic-notation-programmatically"},{"ref":"ChessLogic.Move.html#move_to_string/1","title":"ChessLogic.Move.move_to_string/1","type":"function","doc":"Returns a printable string from move"},{"ref":"ChessLogic.Move.html#piece_symbol/5","title":"ChessLogic.Move.piece_symbol/5","type":"function","doc":""},{"ref":"ChessLogic.Move.html#select_move/3","title":"ChessLogic.Move.select_move/3","type":"function","doc":"Select a move from a list of moves, from a san move. This accept san (eg. &quot;e4&quot;) or coordinates (eg. &quot;e2e4&quot;) Returns {:ok, move} | {:error, reason}"},{"ref":"ChessLogic.Piece.html","title":"ChessLogic.Piece","type":"module","doc":"Documentation for ChessLogic.Piece."},{"ref":"ChessLogic.Piece.html#read_piece/1","title":"ChessLogic.Piece.read_piece/1","type":"function","doc":""},{"ref":"ChessLogic.Piece.html#show_piece/1","title":"ChessLogic.Piece.show_piece/1","type":"function","doc":""},{"ref":"ChessLogic.Piece.html#show_unicode_piece/1","title":"ChessLogic.Piece.show_unicode_piece/1","type":"function","doc":""},{"ref":"ChessLogic.Piece.html#symbol/1","title":"ChessLogic.Piece.symbol/1","type":"function","doc":""},{"ref":"ChessLogic.Position.html","title":"ChessLogic.Position","type":"module","doc":"Documentation for Position."},{"ref":"ChessLogic.Position.html#all_possible_moves/1","title":"ChessLogic.Position.all_possible_moves/1","type":"function","doc":"Returns all possible moves from a position."},{"ref":"ChessLogic.Position.html#all_possible_moves_from/2","title":"ChessLogic.Position.all_possible_moves_from/2","type":"function","doc":"Returns all possible moves from a given piece, or square."},{"ref":"ChessLogic.Position.html#from_fen/1","title":"ChessLogic.Position.from_fen/1","type":"function","doc":"Returns a position from a fen string."},{"ref":"ChessLogic.Position.html#is_king_attacked/1","title":"ChessLogic.Position.is_king_attacked/1","type":"function","doc":"Check if king is attacked."},{"ref":"ChessLogic.Position.html#move_to_san/2","title":"ChessLogic.Position.move_to_san/2","type":"function","doc":"Returns a san from a move string, given a set of possible moves. Game history persists a san version of move, for PGN export eg. &quot;e2e4&quot; -&gt; &quot;e4&quot;, &quot;e4&quot; -&gt; &quot;e4&quot;"},{"ref":"ChessLogic.Position.html#play/2","title":"ChessLogic.Position.play/2","type":"function","doc":"Plays a move and returns new position."},{"ref":"ChessLogic.Position.html#print/1","title":"ChessLogic.Position.print/1","type":"function","doc":"Prints a position."},{"ref":"ChessLogic.Position.html#san_to_move/2","title":"ChessLogic.Position.san_to_move/2","type":"function","doc":"Returns a coords move (eg. &quot;e2e4&quot;) from san (eg. &quot;e4&quot;)"},{"ref":"ChessLogic.Position.html#status/1","title":"ChessLogic.Position.status/1","type":"function","doc":"Returns position status."},{"ref":"ChessLogic.Position.html#to_fen/1","title":"ChessLogic.Position.to_fen/1","type":"function","doc":"Returns a fen string from a position."},{"ref":"ChessLogic.Square.html","title":"ChessLogic.Square","type":"module","doc":"Documentation for Chess.Square. Helper functions for square 0x88 notation"},{"ref":"ChessLogic.Square.html#from_square/1","title":"ChessLogic.Square.from_square/1","type":"function","doc":"Returns the row/col from square or piece."},{"ref":"ChessLogic.Square.html#square_chars_to_pieces/3","title":"ChessLogic.Square.square_chars_to_pieces/3","type":"function","doc":"Returns the square chars to piece."},{"ref":"ChessLogic.Square.html#square_to_charlist/1","title":"ChessLogic.Square.square_to_charlist/1","type":"function","doc":"Returns the square to charlist."},{"ref":"ChessLogic.Square.html#square_to_string/1","title":"ChessLogic.Square.square_to_string/1","type":"function","doc":"Returns the square to string."},{"ref":"ChessLogic.Square.html#to_square/1","title":"ChessLogic.Square.to_square/1","type":"function","doc":"Returns the square from row/col."},{"ref":"ChessLogic.Square.html#to_square/2","title":"ChessLogic.Square.to_square/2","type":"function","doc":""}]